.btn-link {
    margin: 0;
    padding: 0;
    color: $black;
    border: none;
    outline: none;
    cursor: pointer;
    display: inline-flex;
    background: transparent;
    text-decoration: underline;

    &:hover {
        color: $black;
        text-decoration: none;
    }
}

.btn-nav {
    fill: $white;
    border: none;
    outline: none;
    font-size: 0;
    line-height: 0;
    width: rem(36);
    height: rem(36);
    background: $red;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;

    i {
        flex-shrink: 0;
        height: rem(24);
        display: inline-block;
    }

    svg {
        filter: drop-shadow( 1px 1px 1px rgba(0, 0, 0, .5));
    }

    &:hover {
        fill: $dark;
        background: #d9d9d9;
        filter: none;
    }

    @include media-breakpoint-up(lg) {
        width: rem(46);
        height: rem(46);

        i {
            height: rem(30);
            position: relative;
        }

        &--next {

            i {
                left: 2px;
            }
        }

        &--prev {

            i {
                right: 1px;
            }
        }
    }
}

.btn-icon {
    padding-left: rem(62);
    position: relative;

    &:before {
        top: 0;
        bottom: 0;
        z-index: 5;
        content: '';
        width: rem(2);
        left: rem(46);
        position: absolute;
        background: #da413c;
    }

    i {
        top: calc(50% - 13px);
        left: 12px;
        font-size: 0;
        line-height: 0;
        width: 26px;
        display: inline-block;
        flex-shrink: 0;
        position: absolute;
    }

    &--right {
        padding-left: rem(25);
        padding-right: rem(62);

        &:before {
            left: auto;
            right: rem(46);
        }

        i {
            left: auto;
            right: rem(12);
        }
    }

    &.btn-secondary {

        &:before {
            background: #dfdfdf;
        }
    }

    @include media-breakpoint-up(md) {
        padding-left: rem(70);

        &:before {
            left: rem(52);
        }

        i {
            width: 30px;
            left: 14px;
            top: calc(50% - 15px);
        }

        &--right {
            padding-left: rem(32);
            padding-right: rem(14);

            &:before {
                left: auto;
                right: rem(52);
            }

            i {
                margin-right: 0;
                margin-left: rem(28);
            }
        }

        &.btn-lg {
            padding-left: rem(98);

            &:before {
                left: rem(60);
            }

            i {
                left: rem(20);
            }
        }
    }
}

.btn-text {
    color: $dark;
    border: none;
    outline: none;
    font-weight: 500;
    font-size: rem(15);
    line-height: rem(20);
    min-height: rem(38);
    padding: rem(4) rem(12);
    border-radius: 20px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background: transparent;
    text-decoration: underline;
    transition: .3s;

    &:hover {
        color: $red;
        text-decoration: none;
        background: $white;
        transition: .3s;
    }

    &.active {
        color: $red;
        text-decoration: none;
        background: $white;
    }

    @include media-breakpoint-up(xxl) {
        height: rem(45);
        font-size: rem(19);
        line-height: rem(24);
        border-radius: 25px;
        padding: rem(4) rem(20);
    }
}
